<!--
  ~ Copyright (C) 2024 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
                  xmlns:settings="http://schemas.android.com/apk/res-auto"
                  android:key="@string/pk_camera_access"
                  android:title="@string/camera_access_settings_title">
    <com.android.car.settings.common.LogicalPreferenceGroup
        android:key="@string/pk_camera_required_apps_group"
        settings:controller=
            "com.android.car.settings.privacy.CameraRequiredAppsPreferenceController">
        <Preference
            android:key="@string/pk_camera_required_apps_header"
            android:title="@string/required_apps_group_title"
            android:summary="@string/required_apps_group_summary"
            settings:controller=
                "com.android.car.settings.privacy.CameraRequiredAppsHeaderPreferenceController"/>
        <com.android.car.ui.preference.CarUiSwitchPreference
            android:key="@string/pk_camera_required_apps_switch"
            android:title="@string/required_apps_group_title"
            android:summary="@string/required_apps_group_summary"
            settings:controller=
                "com.android.car.settings.privacy.CameraRequiredAppsTogglePreferenceController"
            settings:searchable="true"/>
        <com.android.car.settings.common.LogicalPreferenceGroup
            android:key="@string/pk_camera_required_apps_list"  android:selectable="false"/>
        <com.android.car.settings.common.DividerPreference/>
    </com.android.car.settings.common.LogicalPreferenceGroup>
    <com.android.car.settings.common.LogicalPreferenceGroup
        android:key="@string/pk_camera_infotainment_apps_group"
        settings:controller=
            "com.android.car.settings.privacy.CameraInfotainmentAppsPreferenceController">
        <com.android.car.ui.preference.CarUiSwitchPreference
            android:key="@string/pk_camera_infotainment_apps_switch"
            android:title="@string/camera_infotainment_apps_toggle_title"
            android:summary="@string/camera_infotainment_apps_toggle_summary"
            settings:controller=
                "com.android.car.settings.privacy.CameraInfotainmentAppsTogglePreferenceController"
            settings:searchable="true"/>
        <com.android.car.settings.common.LogicalPreferenceGroup
            android:key="@string/pk_camera_infotainment_apps_list"  android:selectable="false" />
        <com.android.car.settings.common.DividerPreference/>
        <com.android.car.ui.preference.CarUiFooterPreference
            android:key="@string/pk_camera_access_disclaimer"
            android:summary="@string/camera_access_disclaimer_summary"
            android:icon="@drawable/ic_settings_about"
            android:selectable="false"/>
    </com.android.car.settings.common.LogicalPreferenceGroup>
</PreferenceScreen>
